Skip to main content
`Ctrl`+`K`

# TaoALMMSetSubsolver

Changes the subsolver inside `TAOALMM` with the user provided one.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoALMMSetSubsolver(Tao tao, Tao subsolver)

## Input Parameters

- tao - the `Tao` context for the `TAOALMM` solver

- subsolver - the Tao context for the subsolver

## Note

This is not recommended, instead call `TaoALMMGetSubsolver()` and set the type as desired.

## See Also

`Tao`, `TAOALMM`, `TaoALMMGetSubsolver()`

## Level

advanced

## Location

src/tao/constrained/impls/almm/almmutils.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages